import { jsx } from "react/jsx-runtime";
import { TokenGAMI as TokenGAMI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGAMI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GAMI", "data-name": "TokenGAMI", ...props, children: /* @__PURE__ */ jsx(TokenGAMI$1, { variant }) });
  }
);
TokenGAMI.displayName = "TokenGAMI";
Object.assign(TokenGAMI, { isGdsIcon: true });
export {
  TokenGAMI
};
